﻿using System;
using System.Windows;
using System.Windows.Media;
using System.Windows.Shapes;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            Loaded += Window_Loaded;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 윈도우 로드시 처리하기 - Window_Loaded(sender, e)

        /// <summary>
        /// 윈도우 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Rect rect = new Rect(150, 50, 480, 480);

            Point point1;
            Point point2;

            Path pieSlice1 = this.canvas.AddPieSlice
            (
                Brushes.Yellow,
                Brushes.Orange,
                5,
                rect,
                0,
                0.15 * Math.PI,
                false,
                SweepDirection.Clockwise,
                out point1,
                out point2
            );

            pieSlice1.StrokeLineJoin = PenLineJoin.Round;

            Path pieSlice2 = this.canvas.AddPieSlice
            (
                Brushes.Pink,
                Brushes.Red,
                5,
                rect,
                0.15 * Math.PI,
                0.6 * Math.PI,
                false,
                SweepDirection.Clockwise,
                out point1,
                out point2
            );

            pieSlice2.StrokeLineJoin = PenLineJoin.Round;

            Path pieSlice3 = this.canvas.AddPieSlice
            (
                Brushes.LightBlue,
                Brushes.Blue,
                5,
                rect,
                0.6 * Math.PI,
                1.25 * Math.PI,
                false,
                SweepDirection.Clockwise,
                out point1,
                out point2
            );

            pieSlice3.StrokeLineJoin = PenLineJoin.Round;

            Path pieSlice4 = this.canvas.AddPieSlice
            (
                Brushes.LightGreen,
                Brushes.Green,
                5,
                rect,
                1.25 * Math.PI,
                1.6 * Math.PI,
                false,
                SweepDirection.Clockwise,
                out point1,
                out point2
            );

            pieSlice4.StrokeLineJoin = PenLineJoin.Round;

            Path pieSlice5 = this.canvas.AddPieSlice
            (
                Brushes.Fuchsia,
                Brushes.Purple,
                5, rect,
                1.6 * Math.PI,
                2 * Math.PI,
                false,
                SweepDirection.Clockwise,
                out point1,
                out point2
            );

            pieSlice5.StrokeLineJoin = PenLineJoin.Round;
        }

        #endregion
    }
}